// SRM SDK Release 4.4.0 - January 21, 2010

// - SRM spec. 4.4

/*
 *                             NOTICE
 * 
 * This software is provided openly and freely for use in representing and
 * interchanging environmental data & databases.
 * 
 * This software was developed for use by the United States Government with
 * unlimited rights.  The software was developed under contract
 * DASG60-02-D-0006 TO-193 by Science Applications International Corporation.
 * The software is unclassified and is deemed as Distribution A, approved
 * for Public Release.
 * 
 * Use by others is permitted only upon the ACCEPTANCE OF THE TERMS AND
 * CONDITIONS, AS STIPULATED UNDER THE FOLLOWING PROVISIONS:
 * 
 *    1. Recipient may make unlimited copies of this software and give
 *       copies to other persons or entities as long as the copies contain
 *       this NOTICE, and as long as the same copyright notices that
 *       appear on, or in, this software remain.
 * 
 *    2. Trademarks. All trademarks belong to their respective trademark
 *       holders.  Third-Party applications/software/information are
 *       copyrighted by their respective owners.
 * 
 *    3. Recipient agrees to forfeit all intellectual property and
 *       ownership rights for any version created from the modification
 *       or adaptation of this software, including versions created from
 *       the translation and/or reverse engineering of the software design.
 * 
 *    4. Transfer.  Recipient may not sell, rent, lease, or sublicense
 *       this software.  Recipient may, however enable another person
 *       or entity the rights to use this software, provided that this
 *       AGREEMENT and NOTICE is furnished along with the software and
 *       /or software system utilizing this software.
 * 
 *       All revisions, modifications, created by the Recipient, to this
 *       software and/or related technical data shall be forwarded by the
 *       Recipient to the Government at the following address:
 * 
 *         SMDC
 *         Attention SEDRIS (TO193) TPOC
 *         P.O. Box 1500
 *         Huntsville, AL  35807-3801
 * 
 *         or via electronic mail to:  se-mgmt@sedris.org
 * 
 *    5. No Warranty. This software is being delivered to you AS IS
 *       and there is no warranty, EXPRESS or IMPLIED, as to its use
 *       or performance.
 * 
 *       The RECIPIENT ASSUMES ALL RISKS, KNOWN AND UNKNOWN, OF USING
 *       THIS SOFTWARE.  The DEVELOPER EXPRESSLY DISCLAIMS, and the
 *       RECIPIENT WAIVES, ANY and ALL PERFORMANCE OR RESULTS YOU MAY
 *       OBTAIN BY USING THIS SOFTWARE OR DOCUMENTATION.  THERE IS
 *       NO WARRANTY, EXPRESS OR, IMPLIED, AS TO NON-INFRINGEMENT OF
 *       THIRD PARTY RIGHTS, MERCHANTABILITY, OR FITNESS FOR ANY
 *       PARTICULAR PURPOSE.  IN NO EVENT WILL THE DEVELOPER, THE
 *       UNITED STATES GOVERNMENT OR ANYONE ELSE ASSOCIATED WITH THE
 *       DEVELOPMENT OF THIS SOFTWARE BE HELD LIABLE FOR ANY CONSEQUENTIAL,
 *       INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS
 *       OR LOST SAVINGS WHATSOEVER.
 */

/*
 * COPYRIGHT 2010, SCIENCE APPLICATIONS INTERNATIONAL CORPORATION.
 *                 ALL RIGHTS RESERVED.
 * 
 */

// SRM_OTHERS_GOES_HERE

package SRM;

import java.util.*;

/**
@author David Shen
@brief SRFSM_UTM
*/
public class SRM_SRFSM_UTM_Code extends SRM_SRFSM_Code
{
    public static final int _SRFSMUTMCOD_UNSPECIFIED = 0; /// Unspecified
    public static final int _SRFSMUTMCOD_ZONE_1_NORTHERN_HEMISPHERE = 1; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_1_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_2_NORTHERN_HEMISPHERE = 2; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_2_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_3_NORTHERN_HEMISPHERE = 3; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_3_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_4_NORTHERN_HEMISPHERE = 4; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_4_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_5_NORTHERN_HEMISPHERE = 5; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_5_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_6_NORTHERN_HEMISPHERE = 6; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_6_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_7_NORTHERN_HEMISPHERE = 7; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_7_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_8_NORTHERN_HEMISPHERE = 8; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_8_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_9_NORTHERN_HEMISPHERE = 9; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_9_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_10_NORTHERN_HEMISPHERE = 10; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_10_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_11_NORTHERN_HEMISPHERE = 11; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_11_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_12_NORTHERN_HEMISPHERE = 12; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_12_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_13_NORTHERN_HEMISPHERE = 13; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_13_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_14_NORTHERN_HEMISPHERE = 14; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_14_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_15_NORTHERN_HEMISPHERE = 15; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_15_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_16_NORTHERN_HEMISPHERE = 16; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_16_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_17_NORTHERN_HEMISPHERE = 17; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_17_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_18_NORTHERN_HEMISPHERE = 18; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_18_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_19_NORTHERN_HEMISPHERE = 19; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_19_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_20_NORTHERN_HEMISPHERE = 20; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_20_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_21_NORTHERN_HEMISPHERE = 21; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_21_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_22_NORTHERN_HEMISPHERE = 22; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_22_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_23_NORTHERN_HEMISPHERE = 23; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_23_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_24_NORTHERN_HEMISPHERE = 24; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_24_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_25_NORTHERN_HEMISPHERE = 25; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_25_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_26_NORTHERN_HEMISPHERE = 26; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_26_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_27_NORTHERN_HEMISPHERE = 27; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_27_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_28_NORTHERN_HEMISPHERE = 28; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_28_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_29_NORTHERN_HEMISPHERE = 29; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_29_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_30_NORTHERN_HEMISPHERE = 30; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_30_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_31_NORTHERN_HEMISPHERE = 31; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_31_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_32_NORTHERN_HEMISPHERE = 32; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_32_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_33_NORTHERN_HEMISPHERE = 33; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_33_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_34_NORTHERN_HEMISPHERE = 34; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_34_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_35_NORTHERN_HEMISPHERE = 35; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_35_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_36_NORTHERN_HEMISPHERE = 36; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_36_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_37_NORTHERN_HEMISPHERE = 37; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_37_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_38_NORTHERN_HEMISPHERE = 38; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_38_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_39_NORTHERN_HEMISPHERE = 39; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_39_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_40_NORTHERN_HEMISPHERE = 40; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_40_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_41_NORTHERN_HEMISPHERE = 41; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_41_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_42_NORTHERN_HEMISPHERE = 42; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_42_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_43_NORTHERN_HEMISPHERE = 43; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_43_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_44_NORTHERN_HEMISPHERE = 44; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_44_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_45_NORTHERN_HEMISPHERE = 45; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_45_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_46_NORTHERN_HEMISPHERE = 46; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_46_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_47_NORTHERN_HEMISPHERE = 47; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_47_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_48_NORTHERN_HEMISPHERE = 48; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_48_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_49_NORTHERN_HEMISPHERE = 49; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_49_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_50_NORTHERN_HEMISPHERE = 50; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_50_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_51_NORTHERN_HEMISPHERE = 51; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_51_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_52_NORTHERN_HEMISPHERE = 52; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_52_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_53_NORTHERN_HEMISPHERE = 53; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_53_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_54_NORTHERN_HEMISPHERE = 54; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_54_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_55_NORTHERN_HEMISPHERE = 55; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_55_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_56_NORTHERN_HEMISPHERE = 56; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_56_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_57_NORTHERN_HEMISPHERE = 57; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_57_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_58_NORTHERN_HEMISPHERE = 58; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_58_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_59_NORTHERN_HEMISPHERE = 59; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_59_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_60_NORTHERN_HEMISPHERE = 60; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_60_NORTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_1_SOUTHERN_HEMISPHERE = 61; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_1_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_2_SOUTHERN_HEMISPHERE = 62; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_2_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_3_SOUTHERN_HEMISPHERE = 63; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_3_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_4_SOUTHERN_HEMISPHERE = 64; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_4_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_5_SOUTHERN_HEMISPHERE = 65; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_5_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_6_SOUTHERN_HEMISPHERE = 66; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_6_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_7_SOUTHERN_HEMISPHERE = 67; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_7_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_8_SOUTHERN_HEMISPHERE = 68; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_8_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_9_SOUTHERN_HEMISPHERE = 69; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_9_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_10_SOUTHERN_HEMISPHERE = 70; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_10_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_11_SOUTHERN_HEMISPHERE = 71; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_11_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_12_SOUTHERN_HEMISPHERE = 72; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_12_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_13_SOUTHERN_HEMISPHERE = 73; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_13_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_14_SOUTHERN_HEMISPHERE = 74; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_14_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_15_SOUTHERN_HEMISPHERE = 75; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_15_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_16_SOUTHERN_HEMISPHERE = 76; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_16_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_17_SOUTHERN_HEMISPHERE = 77; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_17_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_18_SOUTHERN_HEMISPHERE = 78; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_18_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_19_SOUTHERN_HEMISPHERE = 79; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_19_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_20_SOUTHERN_HEMISPHERE = 80; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_20_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_21_SOUTHERN_HEMISPHERE = 81; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_21_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_22_SOUTHERN_HEMISPHERE = 82; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_22_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_23_SOUTHERN_HEMISPHERE = 83; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_23_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_24_SOUTHERN_HEMISPHERE = 84; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_24_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_25_SOUTHERN_HEMISPHERE = 85; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_25_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_26_SOUTHERN_HEMISPHERE = 86; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_26_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_27_SOUTHERN_HEMISPHERE = 87; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_27_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_28_SOUTHERN_HEMISPHERE = 88; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_28_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_29_SOUTHERN_HEMISPHERE = 89; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_29_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_30_SOUTHERN_HEMISPHERE = 90; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_30_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_31_SOUTHERN_HEMISPHERE = 91; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_31_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_32_SOUTHERN_HEMISPHERE = 92; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_32_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_33_SOUTHERN_HEMISPHERE = 93; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_33_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_34_SOUTHERN_HEMISPHERE = 94; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_34_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_35_SOUTHERN_HEMISPHERE = 95; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_35_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_36_SOUTHERN_HEMISPHERE = 96; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_36_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_37_SOUTHERN_HEMISPHERE = 97; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_37_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_38_SOUTHERN_HEMISPHERE = 98; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_38_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_39_SOUTHERN_HEMISPHERE = 99; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_39_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_40_SOUTHERN_HEMISPHERE = 100; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_40_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_41_SOUTHERN_HEMISPHERE = 101; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_41_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_42_SOUTHERN_HEMISPHERE = 102; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_42_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_43_SOUTHERN_HEMISPHERE = 103; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_43_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_44_SOUTHERN_HEMISPHERE = 104; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_44_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_45_SOUTHERN_HEMISPHERE = 105; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_45_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_46_SOUTHERN_HEMISPHERE = 106; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_46_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_47_SOUTHERN_HEMISPHERE = 107; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_47_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_48_SOUTHERN_HEMISPHERE = 108; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_48_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_49_SOUTHERN_HEMISPHERE = 109; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_49_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_50_SOUTHERN_HEMISPHERE = 110; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_50_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_51_SOUTHERN_HEMISPHERE = 111; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_51_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_52_SOUTHERN_HEMISPHERE = 112; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_52_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_53_SOUTHERN_HEMISPHERE = 113; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_53_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_54_SOUTHERN_HEMISPHERE = 114; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_54_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_55_SOUTHERN_HEMISPHERE = 115; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_55_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_56_SOUTHERN_HEMISPHERE = 116; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_56_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_57_SOUTHERN_HEMISPHERE = 117; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_57_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_58_SOUTHERN_HEMISPHERE = 118; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_58_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_59_SOUTHERN_HEMISPHERE = 119; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_59_SOUTHERN_HEMISPHERE
    public static final int _SRFSMUTMCOD_ZONE_60_SOUTHERN_HEMISPHERE = 120; /// UNIVERSAL_TRANSVERSE_MERCATOR_ZONE_60_SOUTHERN_HEMISPHERE

    public static final int _totalEnum = 120;

    private static Vector<SRM_SRFSM_UTM_Code> _enumVec = new Vector<SRM_SRFSM_UTM_Code>( );

    private static HashMap<String, SRM_SRFSM_UTM_Code> _enumMap = new HashMap<String, SRM_SRFSM_UTM_Code>( );

    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_UNSPECIFIED
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_UNSPECIFIED, "SRFSMUTMCOD_UNSPECIFIED" );


    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_1_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_1_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_1_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_2_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_2_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_2_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_3_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_3_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_3_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_4_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_4_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_4_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_5_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_5_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_5_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_6_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_6_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_6_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_7_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_7_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_7_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_8_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_8_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_8_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_9_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_9_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_9_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_10_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_10_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_10_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_11_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_11_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_11_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_12_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_12_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_12_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_13_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_13_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_13_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_14_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_14_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_14_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_15_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_15_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_15_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_16_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_16_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_16_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_17_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_17_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_17_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_18_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_18_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_18_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_19_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_19_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_19_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_20_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_20_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_20_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_21_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_21_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_21_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_22_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_22_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_22_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_23_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_23_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_23_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_24_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_24_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_24_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_25_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_25_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_25_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_26_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_26_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_26_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_27_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_27_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_27_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_28_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_28_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_28_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_29_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_29_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_29_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_30_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_30_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_30_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_31_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_31_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_31_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_32_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_32_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_32_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_33_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_33_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_33_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_34_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_34_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_34_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_35_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_35_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_35_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_36_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_36_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_36_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_37_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_37_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_37_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_38_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_38_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_38_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_39_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_39_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_39_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_40_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_40_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_40_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_41_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_41_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_41_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_42_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_42_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_42_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_43_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_43_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_43_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_44_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_44_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_44_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_45_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_45_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_45_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_46_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_46_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_46_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_47_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_47_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_47_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_48_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_48_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_48_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_49_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_49_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_49_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_50_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_50_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_50_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_51_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_51_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_51_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_52_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_52_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_52_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_53_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_53_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_53_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_54_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_54_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_54_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_55_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_55_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_55_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_56_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_56_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_56_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_57_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_57_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_57_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_58_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_58_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_58_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_59_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_59_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_59_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_60_NORTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_60_NORTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_60_NORTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_1_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_1_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_1_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_2_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_2_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_2_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_3_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_3_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_3_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_4_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_4_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_4_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_5_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_5_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_5_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_6_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_6_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_6_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_7_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_7_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_7_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_8_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_8_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_8_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_9_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_9_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_9_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_10_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_10_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_10_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_11_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_11_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_11_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_12_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_12_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_12_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_13_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_13_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_13_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_14_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_14_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_14_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_15_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_15_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_15_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_16_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_16_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_16_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_17_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_17_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_17_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_18_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_18_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_18_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_19_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_19_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_19_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_20_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_20_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_20_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_21_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_21_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_21_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_22_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_22_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_22_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_23_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_23_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_23_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_24_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_24_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_24_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_25_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_25_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_25_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_26_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_26_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_26_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_27_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_27_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_27_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_28_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_28_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_28_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_29_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_29_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_29_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_30_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_30_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_30_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_31_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_31_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_31_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_32_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_32_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_32_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_33_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_33_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_33_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_34_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_34_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_34_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_35_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_35_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_35_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_36_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_36_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_36_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_37_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_37_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_37_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_38_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_38_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_38_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_39_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_39_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_39_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_40_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_40_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_40_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_41_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_41_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_41_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_42_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_42_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_42_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_43_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_43_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_43_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_44_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_44_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_44_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_45_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_45_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_45_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_46_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_46_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_46_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_47_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_47_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_47_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_48_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_48_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_48_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_49_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_49_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_49_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_50_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_50_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_50_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_51_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_51_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_51_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_52_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_52_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_52_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_53_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_53_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_53_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_54_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_54_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_54_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_55_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_55_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_55_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_56_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_56_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_56_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_57_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_57_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_57_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_58_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_58_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_58_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_59_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_59_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_59_SOUTHERN_HEMISPHERE" );
    public static final SRM_SRFSM_UTM_Code SRFSMUTMCOD_ZONE_60_SOUTHERN_HEMISPHERE
        = new SRM_SRFSM_UTM_Code( _SRFSMUTMCOD_ZONE_60_SOUTHERN_HEMISPHERE, "SRFSMUTMCOD_ZONE_60_SOUTHERN_HEMISPHERE" );

    private SRM_SRFSM_UTM_Code(int code, String name)
    {
        super (code, name);
        _enumMap.put( name, this );
        _enumVec.add( code, this );
    }

    /** returns the SRM_SRFSM_UTM_Code from its enumerant value
     */
    public static SRM_SRFSM_UTM_Code getEnum( int enum_value ) throws SrmException
    {
        if (enum_value < 1 || enum_value > _totalEnum )
            throw new SrmException( SrmException._INVALID_INPUT,
                        new String("SRM_SRFSM_UTM_Code.getEnum: enumerant out of range") );
        else
            return (SRM_SRFSM_UTM_Code)(_enumVec.elementAt( enum_value ));
    }

    /** returns the SRM_SRFSM_UTM_Code from its string name
     */
    public static SRM_SRFSM_UTM_Code getEnum( String name ) throws SrmException
    {
        SRM_SRFSM_UTM_Code retCode = (SRM_SRFSM_UTM_Code)_enumMap.get( name );

        if (retCode == null )
            throw new SrmException( SrmException._INVALID_INPUT,
                        new String("SRM_SRFSM_UTM_Code.getEnum: enum. string not found") );

        return retCode;
    }
}
